"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var log_1 = require("./log");
var cp = require("child_process");
var exec = function (command, logCommand, logOut) {
    if (logCommand === void 0) { logCommand = false; }
    if (logOut === void 0) { logOut = false; }
    return rxjs_1.Observable.create(function (observer) {
        if (logCommand)
            log_1.log(log_1.logMessage("> " + command, log_1.ThemeColors.debug), log_1.ThemeColors.bold);
        var child = cp.exec(command, function (err, strOut, stdErr) {
            if (err) {
                log_1.log(err.name + " " + err.message, log_1.ThemeColors.bold);
                return observer.error(err);
            }
            if (logOut)
                log_1.log(strOut, log_1.ThemeColors.prompt);
            observer.next(strOut);
            child.stdin.end();
            observer.complete();
        });
    });
};
exports.exec = exec;
//# sourceMappingURL=exec.js.map