import { Observable } from "rxjs";
export interface IAngularProject {
    root: string;
    sourceRoot: string;
    projectType: string;
    prefix: string;
    architect: {
        build: {
            builder: string;
            options: {
                tsConfig: string;
                project: string;
            };
        };
    };
}
export declare type LinkMode = "source" | "dest";
export declare class LibraryController {
    private cwd;
    private ngPath;
    private ngAppDir;
    private checked;
    private ngConfig;
    private tsConfig;
    check(): Observable<boolean>;
    hasLibrary(name: string): boolean;
    private libraryExists;
    deleteLib(libName: any): Observable<boolean>;
    private cdProject;
    private restoreCwd;
    createScoped(libName: string, scope: string): void;
    create(libName: any): Observable<boolean>;
    private getNgPackageJSON;
    private getLibPackageJSON;
    private saveLibPackageJSON;
    private canEditLib;
    private _linkDist;
    private _linkSource;
    private getScopedEntryFile;
    /**
     *
     * @param name
     * @param type
     * @throws not checked
     */
    link(name: string, type: LinkMode): void;
    /**
     *
     * @param type
     * @throws not checked
     */
    linkAll(type: LinkMode): void;
    addPeerDependency(target: string, value: string): any;
    private getLibraries;
    buildAll(): Observable<IAngularProject>;
    buildLibrary(name: string): Observable<boolean>;
    private getEntryFile;
}
