"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var colors = require("colors");
colors.setTheme({
    silly: 'rainbow',
    input: 'grey',
    verbose: 'cyan',
    prompt: 'grey',
    info: 'green',
    data: 'grey',
    help: 'cyan',
    warn: 'yellow',
    debug: 'blue',
    error: 'red'
});
var log = function (message, color) {
    if (color === void 0) { color = ThemeColors.none; }
    console.log(logMessage(message, color));
};
exports.log = log;
var ThemeColors;
(function (ThemeColors) {
    ThemeColors[ThemeColors["none"] = 0] = "none";
    ThemeColors[ThemeColors["silly"] = 1] = "silly";
    ThemeColors[ThemeColors["input"] = 2] = "input";
    ThemeColors[ThemeColors["verbose"] = 3] = "verbose";
    ThemeColors[ThemeColors["prompt"] = 4] = "prompt";
    ThemeColors[ThemeColors["info"] = 5] = "info";
    ThemeColors[ThemeColors["data"] = 6] = "data";
    ThemeColors[ThemeColors["help"] = 7] = "help";
    ThemeColors[ThemeColors["warn"] = 8] = "warn";
    ThemeColors[ThemeColors["debug"] = 9] = "debug";
    ThemeColors[ThemeColors["error"] = 10] = "error";
    ThemeColors[ThemeColors["bold"] = 11] = "bold";
})(ThemeColors || (ThemeColors = {}));
exports.ThemeColors = ThemeColors;
var logMessage = function (message, color) {
    if (color != ThemeColors.none) {
        var prop = ThemeColors[color];
        var fn = colors[prop];
        return fn(message);
    }
    return message;
};
exports.logMessage = logMessage;
//# sourceMappingURL=log.js.map